-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

-- Bindings
getfenv()["BINDING_HEADER_XTRAPBAR_TITLE"]  = "XBar";
getfenv()["BINDING_NAME_XTRAPBAR_SHOWHIDE"] = "Show/hide XTrapBar";

-- Traps
getfenv()["XTrapBarSpells"] = {
	"Immolation Trap",
	"Explosive Trap",
	"Freezing Trap",
	"Freezing Arrow",
	"Frost Trap",
	"Snake Trap",
};

local i,v;

-- Auto-translate the spells
if (GetLocale() ~= "enUS") and (GetLocale() ~= "enGB") then
	if getfenv()["XBARLOCALIZER"] then
		for i,v in pairs(getfenv()["XTrapBarSpells"]) do
			getfenv()["XTrapBarSpells"][i]=XBar_BabbleSpell(getfenv()["XTrapBarSpells"][i]);
		end
	else
		DEFAULT_CHAT_FRAME:AddMessage("XBarLocalizer not loaded.");
	end
end
